VESPA-FETCH(1)

NAME
vespa-fetch - Download a deployed application package

SYNOPSIS
vespa fetch [path] [flags]

DESCRIPTION
Download a deployed application package.

This command can be used to download an already deployed Vespa application package. The package is written as a ZIP file to the given path, or current directory if no path is given.

OPTIONS
-h, --help[=false]
    help for fetch

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa fetch
    $ vespa fetch mydir/
    $ vespa fetch -t cloud mycloudapp.zip

SEE ALSO
vespa(1)